import React from "react";
export declare class StateManager {
    static readonly OBSERVERS_VALUE_NAME = "_____observers";
    static readonly OLD_STATES_VALUE_NAME: string;
    static addObserver(observable: object, observer: React.Component | Function, properties?: string[]): void;
    static removeObserver(observable: object, observer: React.Component | Function): void;
    static isListening(listeningToProperties: string[], changedProperties: string[]): boolean;
    static internalTriggerUpdate(observable: object, forProperties?: string[] | undefined): void;
    static isChanged(observable: object): boolean;
    static forceChange(observable: object): void;
    static changed(observable: object): void;
    static propertyChanged(observable: object, property: string): void;
    static propertiesChanged(observable: object, properties: string[]): void;
}
export declare const action: (target: Object, propertyKey: string, descriptor: PropertyDescriptor) => void;
